Skip to main content
POST
/
api
/
v1
/
flights
/
exchange-price
Price a specific exchange offer
curl --request POST \
  --url https://mcp-bff.gojinko.com/api/v1/flights/exchange-price \
  --header 'Content-Type: application/json' \
  --data '
{
  "booking_ref": "<string>",
  "last_name": "<string>",
  "offer_id": "<string>",
  "order_id": "<string>",
  "provider": "<string>",
  "ticket_numbers": [
    "<string>"
  ]
}
'
{
  "expires_at": "<string>",
  "fare_difference": {
    "currency": "<string>",
    "decimal_places": 123,
    "value": 123
  },
  "payment_outcome": "<string>",
  "penalty_amount": {
    "currency": "<string>",
    "decimal_places": 123,
    "value": 123
  },
  "session_reference": "<string>",
  "total_due": {
    "currency": "<string>",
    "decimal_places": 123,
    "value": 123
  },
  "total_refund": {
    "currency": "<string>",
    "decimal_places": 123,
    "value": 123
  },
  "warnings": [
    "<string>"
  ]
}

Query Parameters

provider
string

Target a specific provider (sabre, travelfusion). When omitted, uses request body provider field.

Body

application/json

Exchange price request

booking_ref
string
last_name
string
offer_id
string
order_id
string
provider
string
ticket_numbers
string[]

Response

OK

expires_at
string
fare_difference
object
payment_outcome
string
penalty_amount
object
session_reference
string
total_due
object
total_refund
object
warnings
string[]